package com.hithomelabs.princeton1.module4;

public abstract class Queue<E> implements Iterable<E> {

    public abstract boolean isEmpty();
    public abstract E dequeue();
    public abstract void enqueue(E element);
    public abstract int size();
}

